Tool: create_billing_account
Creates a billing subaccount.
The following code sample shows how to use curl to call the create_billing_account MCP tool.
| Curl Request |
|---|
curl --location 'https://cloudbilling.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "create_billing_account", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for CreateBillingAccount.
CreateBillingAccountRequest
| JSON representation |
|---|
{
"billingAccount": {
object ( |
| Fields | |
|---|---|
billingAccount |
Required. The billing account resource to create. Currently CreateBillingAccount only supports subaccount creation, so any created billing accounts must be under a provided parent billing account. |
parent |
Optional. The parent to create a billing account from. Format: - |
BillingAccount
| JSON representation |
|---|
{ "name": string, "open": boolean, "displayName": string, "masterBillingAccount": string, "parent": string, "currencyCode": string } |
| Fields | |
|---|---|
name |
Output only. The resource name of the billing account. The resource name has the form |
open |
Output only. True if the billing account is open, and will therefore be charged for any usage on associated projects. False if the billing account is closed, and therefore projects associated with it are unable to use paid services. |
displayName |
The display name given to the billing account, such as |
masterBillingAccount |
If this account is a subaccount, then this will be the resource name of the parent billing account that it is being resold through. Otherwise this will be empty. |
parent |
Output only. The billing account's parent resource identifier. Use the |
currencyCode |
Optional. The currency in which the billing account is billed and charged, represented as an ISO 4217 code such as Billing account currency is determined at the time of billing account creation and cannot be updated subsequently, so this field should not be set on update requests. In addition, a subaccount always matches the currency of its parent billing account, so this field should not be set on subaccount creation requests. Clients can read this field to determine the currency of an existing billing account. |
Output Schema
A billing account in the Google Cloud Console. You can assign a billing account to one or more projects.
BillingAccount
| JSON representation |
|---|
{ "name": string, "open": boolean, "displayName": string, "masterBillingAccount": string, "parent": string, "currencyCode": string } |
| Fields | |
|---|---|
name |
Output only. The resource name of the billing account. The resource name has the form |
open |
Output only. True if the billing account is open, and will therefore be charged for any usage on associated projects. False if the billing account is closed, and therefore projects associated with it are unable to use paid services. |
displayName |
The display name given to the billing account, such as |
masterBillingAccount |
If this account is a subaccount, then this will be the resource name of the parent billing account that it is being resold through. Otherwise this will be empty. |
parent |
Output only. The billing account's parent resource identifier. Use the |
currencyCode |
Optional. The currency in which the billing account is billed and charged, represented as an ISO 4217 code such as Billing account currency is determined at the time of billing account creation and cannot be updated subsequently, so this field should not be set on update requests. In addition, a subaccount always matches the currency of its parent billing account, so this field should not be set on subaccount creation requests. Clients can read this field to determine the currency of an existing billing account. |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌